USE Numbers;

# Select matching records.
SELECT Ordinals.NumericValue, OrdinalValue, SpelledValue
FROM Ordinals, SpelledValues
WHERE Ordinals.NumericValue = SpelledValues.NumericValue
ORDER BY Ordinals.NumericValue;

# Select matching records, including all Ordinals records.
SELECT Ordinals.NumericValue, OrdinalValue, SpelledValue
FROM Ordinals LEFT JOIN SpelledValues
  ON Ordinals.NumericValue = SpelledValues.NumericValue
ORDER BY Ordinals.NumericValue;

# Select matching records, including all SpelledValues records.
SELECT Ordinals.NumericValue, OrdinalValue, SpelledValue
FROM Ordinals RIGHT JOIN SpelledValues
  ON Ordinals.NumericValue = SpelledValues.NumericValue
ORDER BY Ordinals.NumericValue;

# Select matching records, including all records in both tables.
SELECT Ordinals.NumericValue, OrdinalValue, SpelledValue
FROM Ordinals FULL JOIN SpelledValues
  ON Ordinals.NumericValue = SpelledValues.NumericValue
ORDER BY Ordinals.NumericValue;
